Create template

View as MarkdownOpen in Claude
Create a template. For `*_workflows`, include a `workflow` object. **Request body fields:** - `group` (string, required) - Template group identifier (e.g. `account_workflows`). - `workflow` (object, required for workflow templates) - Contains `name`, `description`, and `body` (nodes + edges graph). - `body.nodes` (array) - Workflow action nodes (type: `start-node` | `action-node`). - `body.edges` (array) - Connections between nodes. - `name` (string, optional on update) - Template display name.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired

Query parameters

groupstringOptional

Request

This endpoint expects an object.
groupstringRequired
workflowobjectRequired

Response

This endpoint returns an object.
successboolean
templateobject
ignored_keyslist of strings

Errors